Package org.jboss.resteasy.util

## Class DelegatingMultivaluedMap<K,​V>

- java.lang.Object
- - org.jboss.resteasy.util.DelegatingMultivaluedMap<K,​V>

- Type Parameters:
    `K` - The type of keys in the map.
    `V` - The type of values in the lists in the map.
  All Implemented Interfaces:
    `Map<K,​List<V>>`, `javax.ws.rs.core.MultivaluedMap<K,​V>`
  Direct Known Subclasses:
    `PrefixedMultivaluedMap`

      public class DelegatingMultivaluedMap<K,​V>
      extends Object
      implements javax.ws.rs.core.MultivaluedMap<K,​V>

  `MultivaluedMap` implementation that delegates to another instance. Convenience class for `MultivaluedMap` enhancements that don't want to implement all methods.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DelegatingMultivaluedMap​(javax.ws.rs.core.MultivaluedMap<K,​V> delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(K key, V value)` |
    `void` | `addAll​(K key, List<V> valueList)` |
    `void` | `addAll​(K key, V... newValues)` |
    `void` | `addFirst​(K key, V value)` |
    `void` | `clear()` |
    `boolean` | `containsKey​(Object o)` |
    `boolean` | `containsValue​(Object o)` |
    `Set<Map.Entry<K,​List<V>>>` | `entrySet()` |
    `boolean` | `equals​(Object o)` |
    `boolean` | `equalsIgnoreValueOrder​(javax.ws.rs.core.MultivaluedMap<K,​V> otherMap)` |
    `List<V>` | `get​(Object o)` |
    `V` | `getFirst​(K key)` |
    `int` | `hashCode()` |
    `boolean` | `isEmpty()` |
    `Set<K>` | `keySet()` |
    `List<V>` | `put​(K k, List<V> vs)` |
    `void` | `putAll​(Map<? extends K,​? extends List<V>> map)` |
    `void` | `putSingle​(K key, V value)` |
    `List<V>` | `remove​(Object o)` |
    `int` | `size()` |
    `Collection<List<V>>` | `values()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### DelegatingMultivaluedMap

          public DelegatingMultivaluedMap​(javax.ws.rs.core.MultivaluedMap<K,​V> delegate)

  - ### Method Detail

    - #### addAll

          public void addAll​(K key,
                             V... newValues)

      Specified by:
        `addAll` in interface `javax.ws.rs.core.MultivaluedMap<K,​V>`

    - #### addAll

          public void addAll​(K key,
                             List<V> valueList)

      Specified by:
        `addAll` in interface `javax.ws.rs.core.MultivaluedMap<K,​V>`

    - #### addFirst

          public void addFirst​(K key,
                               V value)

      Specified by:
        `addFirst` in interface `javax.ws.rs.core.MultivaluedMap<K,​V>`

    - #### putSingle

          public void putSingle​(K key,
                                V value)

      Specified by:
        `putSingle` in interface `javax.ws.rs.core.MultivaluedMap<K,​V>`

    - #### add

          public void add​(K key,
                          V value)

      Specified by:
        `add` in interface `javax.ws.rs.core.MultivaluedMap<K,​V>`

    - #### getFirst

          public V getFirst​(K key)

      Specified by:
        `getFirst` in interface `javax.ws.rs.core.MultivaluedMap<K,​V>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map<K,​V>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map<K,​V>`

    - #### containsKey

          public boolean containsKey​(Object o)

      Specified by:
        `containsKey` in interface `Map<K,​V>`

    - #### containsValue

          public boolean containsValue​(Object o)

      Specified by:
        `containsValue` in interface `Map<K,​V>`

    - #### get

          public List<V> get​(Object o)

      Specified by:
        `get` in interface `Map<K,​V>`

    - #### put

          public List<V> put​(K k,
                             List<V> vs)

      Specified by:
        `put` in interface `Map<K,​V>`

    - #### remove

          public List<V> remove​(Object o)

      Specified by:
        `remove` in interface `Map<K,​V>`

    - #### putAll

          public void putAll​(Map<? extends K,​? extends List<V>> map)

      Specified by:
        `putAll` in interface `Map<K,​V>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map<K,​V>`

    - #### keySet

          public Set<K> keySet()

      Specified by:
        `keySet` in interface `Map<K,​V>`

    - #### values

          public Collection<List<V>> values()

      Specified by:
        `values` in interface `Map<K,​V>`

    - #### entrySet

          public Set<Map.Entry<K,​List<V>>> entrySet()

      Specified by:
        `entrySet` in interface `Map<K,​V>`

    - #### equals

          public boolean equals​(Object o)

      Specified by:
        `equals` in interface `Map<K,​V>`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Map<K,​V>`
      Overrides:
        `hashCode` in class `Object`

    - #### equalsIgnoreValueOrder

          public boolean equalsIgnoreValueOrder​(javax.ws.rs.core.MultivaluedMap<K,​V> otherMap)

      Specified by:
        `equalsIgnoreValueOrder` in interface `javax.ws.rs.core.MultivaluedMap<K,​V>`